Skip to main content

Get Tour Media Files

Get all media files associated with a specific tour

  • tour_id: ID of the tour
  • file_category: Optional filter by file category
  • include_variants: Whether to include image variant URLs
MethodPath
GET/api/v1/media/tour/{tour_id}/files

Primary host: https://valara.cloud (legacy alias: https://dash.jacoballenmedia.com).

Parameters

NameInRequiredTypeDescription
tour_idpathyesstring
file_categoryquerynostringFilter by file category
include_variantsquerynobooleanInclude image variants in response

Request body

(no request body)

Response

null

Responses

StatusDescription
200Successful Response
422Validation Error (see error codes)

Examples

curl

curl -X GET "https://valara.cloud/api/v1/media/tour/{tour_id}/files" \
-H "Authorization: Bearer $VALARA_API_KEY" \
-H "Content-Type: application/json"

Python

import os
import uuid
import httpx
res = httpx.request(
"GET",
"https://valara.cloud/api/v1/media/tour/{tour_id}/files",
headers={
"Authorization": f"Bearer {os.environ['VALARA_API_KEY']}",
"Content-Type": "application/json",
},
)
res.raise_for_status()
print(res.json())

See also